Project Components
⚠️ Deprecation Warning for the
threats_countfield in 2026.2.2:
- The
threats_countfield will be deprecated in a future release of SD Elements- For now, the value will always be 0.
Get all Accepted Components in a project
This endpoint retrieves a list of accepted Components.
GET /api/v2/projects/{project_id}/components/
URL Parameters
| Parameter | Description |
|---|---|
| project_id | The id of the Project whose components have to be retrieved. |
GET /api/v2/projects/1/components/ HTTP/1.1
Accept: application/json
Authorization: Token "YOUR SDE ACCESS TOKEN"
HTTP/1.1 200 OK
Content-Type: application/json
{
"results": [
{
"id": "CSC1",
"title": "My Component",
"description": "A custom component",
"threats_count": 0,
"source": "survey"
},
{
"id": "CSC2",
"title": "Another Component",
"description": "Another custom component",
"threats_count": 0,
"source": "diagram"
}
]
}